QGIS Application - Bug report #2976
Wrong properties display for GRASS Raster
2010-09-01 11:03 AM - Jean-Roc Morreale

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 13036
Description

Properties of a GRASS raster are limited by defaut to Transparency/General/Metadata as the user can't modify things like color table
without using grass' r.color.” tools but after loading non-grass raster, QGIS then display all the properties.

This behavior leads user to think that QGIS or their grass raster is broken, for example the grass raster display list with no item selected.

Steps to reproduce :

1. create a new project and open a grass dataset

2. load a grass raster, open its properties, then close it

3. load a non-grass raster, open its properties, then close it

4. reopen the grass' properties, it is now displaying the same ui than the non-grass raster

History

#1 - 2010-09-03 12:47 AM - Giovanni Manghi

Replying to jrm:

Properties of a GRASS raster are limited by defaut to Transparency/General/Metadata as the user can't modify things like color table without using
grass' r.color.” tools

this is because the GRASS rasters are no longer handled via GDAL. So you really need to have to use GRASS tools to configure/style them.

but after loading non-grass raster, QGIS then display all the properties.

This behavior leads user to think that QGIS or their grass raster is broken, for example the grass raster display list with no item selected.

Steps to reproduce :

1. create a new project and open a grass dataset

2. load a grass raster, open its properties, then close it

3. load a non-grass raster, open its properties, then close it

4. reopen the grass' properties, it is now displaying the same ui than the non-grass raster

confirmed. It is just enough to open the GRASS raster properties in QGIS, close the dialog and then reopen again.

#2 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4
#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2012-12-30 08:30 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Resolution set to fixed

- Status changed from Open to Closed

does not happen anymore on master.
